<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE article
  PUBLIC '-//OASIS//DTD DocBook XML V4.4//EN'
  'http://www.docbook.org/xml/4.4/docbookx.dtd'>
<article><articleinfo><title>FreedomBox/Manual/Transmission</title><revhistory><revision><revnumber>10</revnumber><date>2019-03-22 07:08:45</date><authorinitials>JosephNuthalapati</authorinitials><revremark>Add tips on how to transfer downloads from FreedomBox to local PC</revremark></revision><revision><revnumber>9</revnumber><date>2016-12-31 02:07:57</date><authorinitials>JamesValleroy</authorinitials><revremark>add login info</revremark></revision><revision><revnumber>8</revnumber><date>2016-12-30 19:20:51</date><authorinitials>JamesValleroy</authorinitials><revremark>reword</revremark></revision><revision><revnumber>7</revnumber><date>2016-12-30 19:13:09</date><authorinitials>JamesValleroy</authorinitials><revremark>add intro paragraph</revremark></revision><revision><revnumber>6</revnumber><date>2016-12-30 18:59:46</date><authorinitials>JamesValleroy</authorinitials><revremark>no space in &quot;BitTorrent&quot;</revremark></revision><revision><revnumber>5</revnumber><date>2016-12-26 18:00:44</date><authorinitials>JamesValleroy</authorinitials><revremark>add screenshot</revremark></revision><revision><revnumber>4</revnumber><date>2016-09-01 19:04:35</date><authorinitials>Drahtseil</authorinitials><revremark>adapted title to Plinth wording</revremark></revision><revision><revnumber>3</revnumber><date>2016-04-10 07:27:22</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added bottom navigation link</revremark></revision><revision><revnumber>2</revnumber><date>2015-12-15 20:42:02</date><authorinitials>PhilippeBaret</authorinitials></revision><revision><revnumber>1</revnumber><date>2015-12-15 18:23:33</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added Transmission page and definition</revremark></revision></revhistory></articleinfo><section><title>BitTorrent (Transmission)</title><section><title>What is Transmission ?</title><para>BitTorrent is a communications protocol using peer-to-peer (P2P) file sharing. It is not anonymous; you should assume that others can see what files you are sharing. There are two BitTorrent web clients available in FreedomBox: Transmission and <ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Manual/Deluge#">Deluge</ulink>. They have similar features, but you may prefer one over the other. </para><para>Transmission is a lightweight BitTorrent client that is well known for its simplicity and a default configuration that &quot;Just Works&quot;. </para></section><section><title>Screenshot</title><para><inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Transmission?action=AttachFile&amp;do=get&amp;target=transmission.png" width="800"/></imageobject><textobject><phrase>Transmission Web Interface</phrase></textobject></inlinemediaobject> </para></section><section><title>Using Transmission</title><para>After installing Transmission, it can be accessed at <code>https://&lt;your freedombox&gt;/transmission</code>. When you try to access this page, you will be required to login with a username and password. The default for both is &quot;transmission&quot;. You can change the username and password using the configuration form in Plinth. </para></section><section><title>Known Issues</title><itemizedlist><listitem><para>The initial password is shown in the Plinth configuration form in a hashed format. This prevents it from being read or copied. However, after the password is changed, it is shown directly, without hashing. </para></listitem></itemizedlist></section><section><title>Tips</title><section><title>Transferring Downloads from the FreedomBox</title><orderedlist numeration="arabic"><listitem><para>Transmission's downloads directory can be added as a shared folder in the &quot;Sharing&quot; app. You can then access your downloads from this shared folder using a web browser. </para></listitem><listitem><para>(Advanced) If you have the ssh access to your FreedomBox, you can use sftp to browse the downloads directory using a suitable file manager or web browser (e.g. dolphin or Konqueror). </para></listitem></orderedlist><para>Back to <ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Features#">Features introduction</ulink> or <ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Manual#">manual</ulink> pages. </para><!--rule (<hr>) is not applicable to DocBook--><informaltable><tgroup cols="8"><colspec colname="col_0"/><colspec colname="col_1"/><colspec colname="col_2"/><colspec colname="col_3"/><colspec colname="col_4"/><colspec colname="col_5"/><colspec colname="col_6"/><colspec colname="col_7"/><tbody><row rowsep="1"><entry colsep="1" rowsep="1"><para><emphasis role="strong">Information</emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><emphasis role="strong">Support</emphasis></para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong">Contribute</emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><emphasis role="strong">Reports</emphasis></para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong">Promote</emphasis></para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Introduction#">Overview</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Hardware#">Hardware</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Support#">Live Help</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Contribute#">Where To Start</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Translate#">Translate</ulink>    </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/ProgressCalls#">Calls</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/TalksAndPresentations#">Talks</ulink>     </para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Features#">Features</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Vision#">Vision</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/QuestionsAndAnswers#">Q&amp;A</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Design#">Design</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/TODO#">To Do</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/ReleaseNotes#">Releases</ulink>       </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Press#">Press</ulink>     </para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Download#">Download</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Manual#">Manual</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Contribute/Code#">Code</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Contributors#">Contributors</ulink>      </para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/FreedomBox/Blog#">Blog</ulink>     </para></entry></row></tbody></tgroup></informaltable><para><!--"~-smaller-~" is not applicable to DocBook-->HELP &amp; DISCUSSIONS: <ulink url="https://discuss.freedombox.org">Discussion Forum</ulink> - <ulink url="https://lists.alioth.debian.org/mailman/listinfo/freedombox-discuss">Mailing List</ulink> - <ulink url="irc://irc.debian.org/freedombox">#freedombox irc.debian.org</ulink> | CONTACT <ulink url="https://freedomboxfoundation.org/">Foundation</ulink> | JOIN <ulink url="https://salsa.debian.org/freedombox-team/">Project</ulink>  </para><para><link linkend="">Next call</link>: Sunday, July 28th at 17:00 UTC </para><para><link linkend="">Latest news</link>: Announcing Pioneer FreedomBox Kits - 2019-03-26 </para><para>This page is copyright its contributors and is licensed under the <ulink url="https://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</ulink> license. </para><!--rule (<hr>) is not applicable to DocBook--><para> <ulink url="https://wiki.debian.org/FreedomBox/Manual/Transmission/CategoryFreedomBox#">CategoryFreedomBox</ulink> </para></section></section></section></article>